<link rel="import" href="../bower_components/polymer/polymer-element.html">
<link rel="import" href="../bower_components/paper-input/paper-input.html">
<link rel="import" href="../bower_components/paper-icon-button/paper-icon-button.html">
<link rel="import" href="../bower_components/iron-form/iron-form.html">
<link rel="import" href="../bower_components/paper-button/paper-button.html">
<link rel="import" href="../bower_components/iron-image/iron-image.html">
<link rel="import" href="../bower_components/iron-ajax/iron-ajax.html">
<link rel="import" href="shared-styles.html">
<link rel="import" href="shop-input.js">


<dom-module id="my-components">
  <template>
    <style include="shared-styles">
      :host {
        display: block;
        width: auto;
        --app-primary-color: #004481;

      }
      a paper-button,
       a:active paper-button,
       a:visited paper-button {
       color:  #1973B8;
      }
    </style>

    <style include="shop-common-styles shop-button shop-form-styles shop-input shop-select shop-checkbox">
      shop-input,
      shop-select {
        font-family: BentonSans-Medium;
      }
    </style>

    <div class="imgRegistro">
      <img src="../images/login.png" alt="" height="auto" width="320px" >
    </div>
    <div class="cardAzul1">
      <div class="titleRegistro1">
        <shop-input>
          <input type="text" id="usuario" name="usuario"
          value="{{email::input}}" placeholder="Usuario" autofocus required aria-labelledby="">
          <shop-md-decorator error-message="Formato incorrecto" aria-hidden="true">
            <label id="">Usuario</label>
            <shop-underline></shop-underline>
          </shop-md-decorator>
        </shop-input>
      </div>
      <div class="titleRegistro1">
        <shop-input>
          <input type="password" id="pass" name="pass"
          value="{{password::input}}" placeholder="Contraseña" autofocus required aria-labelledby="">
          <shop-md-decorator error-message="Contraseña incorrecta" aria-hidden="true">
            <label id="">Contraseña</label>
            <shop-underline></shop-underline>
          </shop-md-decorator>
        </shop-input>
      </div>
    </div>

    <div class="principalR">
      <div class="solid-top-separated centered-text lg-col-4 md-col-4 sm-col-5 xs-col-13 style-scope amkt-login-form">
        ¿Primera vez que accedes?
        <a class="paper-item-link" name="registro" href="[[rootPath]]registro" tabindex="-1">
          <paper-item>
            <div class="titleR">
            ¡Reg&iacute;strate!
          </div>
          </paper-item>
        </a>
      </div>

      <!-- comentario. Boton que inicia -->
      <div class="container flex-button">
        <a class="paper-item-link" name="movimientos" href="[[rootPath]]movimientos" tabindex="-1">
          <paper-item>
            <div class="botonR">
              <button raised on-click="login" disable="true">ENTRAR </button>
            </div>
          </paper-item>
        </a>

      </div>


    </div>
    <iron-ajax id="doIdentificadorCliente" url="http://localhost:3000/v5/Identificador/C" content-type="application/json" crossDomain:true
      dataType:'jsonp' method="Get" handle-as="json" headers="Access-Control-Allow-Headers: *"
      on-response="manageAJAXResponse" on-error="showError">
      <iron-ajax id="doIdentificadorUsuario" url="http://localhost:3000/v5/Identificador/U" content-type="application/json" crossDomain:true
        dataType:'jsonp' method="Get" handle-as="json" headers="Access-Control-Allow-Headers: *"
        on-response="manageAJAXResponse" on-error="showError">
    <iron-ajax id="doLogin" url="http://localhost:3000/v5/login" content-type="application/json" crossDomain:true
      dataType:'jsonp' method="POST" handle-as="json" headers="Access-Control-Allow-Headers: *"
      on-response="manageAJAXResponse" on-error="showError">
      <iron-ajax id="doIdentificadorMovimiento" url="http://localhost:3000/v5/Identificador/M" content-type="application/json" crossDomain:true
        dataType:'jsonp' method="Get" handle-as="json" headers="Access-Control-Allow-Headers: *"
        on-response="manageAJAXResponse" on-error="showError">
  </template>

  <script>
    class MyComponents extends Polymer.Element {
        static get is() {
            return 'my-components'; }

        static get properties(){
            return {
              usuario:{
                type: String,
                notify: true
              },
              password:{
                type: String
              }
            }
          }
      login() {
        var identificadorClienteData = {
          "idcliente": this.id
        }

        var identificadorUsuarioData = {
          "idcliente": this.id
        }
        var doIdentificadorMovimientoData = {
          "idcliente": this.id
        }
        var loginData = {
          "email": this.email,
          "password": this.password
        }

        this.$.doIdentificadorCliente.params.id = JSON.stringify(identificadorClienteData);
        this.$.doIdentificadorUsuario.params.id = JSON.stringify(identificadorUsuarioData);
        this.$.doIdentificadorMovimiento.params.id = JSON.stringify(doIdentificadorMovimientoData);
        this.$.doLogin.body = JSON.stringify(loginData);
        if(identificadorClienteData|| identificadorUsuarioData || registerData){
          this.$.doIdentificadorCliente.generateRequest();
          this.$.doIdentificadorUsuario.generateRequest();
          this.$.doLogin.generateRequest();
          this.$.doIdentificadorMovimiento.generateRequest();
          console.log("Petición enviada");
        }


        this.$.doLogin.generateRequest();
        console.log("Petición enviada");
      }

      manageAJAXResponse(data) {
        console.log("Respuesta recibida del servidor");
        console.log(data.detail.response);
        this.logado = true;
      }

      showError(error) {
        console.log("Hubo un error en la petición 2");
        console.log(error);
      }
    }


    window.customElements.define(MyComponents.is, MyComponents);
  </script>
</dom-module>
